/****************************************************************************

   Copyright (C) 1995 University of Utah

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the Free
   Software Foundation, 675 Massachusetts Avenue, Cambridge, MA 02139 USA;
   either version 1, or (at your option) any later version.

   The University of Utah disclaims all warranties with regard to this
   software, including all implied warranties of merchantability and fitness.
   In no event shall the University of Utah be liable for any special, indirect
   or consequential damages or any damages whatsoever resulting from loss of
   use, data or profits, whether in an action of contract, negligence or other
   tortious action, arising out of or in connection with the use or performance
   of this software.

*****************************************************************************/

#include <Xm/Xm.h>

class xdialogok
{
public:
    xdialogok(char *message, char *ok_button_name);
    virtual long activate(); // returns 1
    static int done;
    Widget dialog;
};


class xdialogradio
{
public:
    xdialogradio(char *message, char *array_of_choices[]);
    int activate(); // returns number of choice (base-indexed 1)
    static int done;
    static int choice;
    Widget dialog;
    Widget radio;
};

class xdialogtext
{
public:
    xdialogtext(char *message, char *tar_filename);
    int activate(); // returns 1 on ok, -1 on cancel
    void manageCancel();  // Manage the cancel button
    static int done;
    Widget dialog;
};

class xdialogtar
{
public:
    xdialogtar(char *message, char *tar_filename, int strip = 1);
    int activate(); // returns 1 on ok, -1 on cancel
private:
    xdialogtext *xdt;

};

class xdialogradiotext : public xdialogradio
{
public:
    xdialogradiotext(char *message, char *choices[], char *msg2);
    ~xdialogradiotext();
    int activate();
    char *message2;
    Widget text;
};

class xdialogmsg: public xdialogok
{
public:
    xdialogmsg(char *message);
    long activate();
};
